Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(602)

Issue 2889763003: Accept text input only if selection has focus. (Closed)

Created:
7 months ago by yoichio
Modified:
7 months ago
Reviewers:
yosin_UTC9, Xiaocheng
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Accept text input only if selection has focus. At Editor::HandleEditingKeyboardEvent(), use FrameSelection::SelectionHasFocus() to check editability. BUG=713051 Review-Url: https://codereview.chromium.org/2889763003 Cr-Commit-Position: refs/heads/master@{#473163} Committed: https://chromium.googlesource.com/chromium/src/+/8e46baf867a845e459199e2aefa358ee1e26a559

Patch Set 1 #

Patch Set 2 : update #

Total comments: 19

Patch Set 3 : update #

Total comments: 6

Patch Set 4 : update #

Total comments: 2

Patch Set 5 : nit #

Messages

Total messages: 44 (28 generated)
yoichio
7 months ago (2017-05-17 09:22:26 UTC) #5
yosin_UTC9
+xiaochengh@ for second eye. https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode9 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:9: var outer_isClicked = false; nit: ...
7 months ago (2017-05-17 10:15:40 UTC) #9
yosin_UTC9
https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode1 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:1: <script src="../../../resources/testharness.js"></script> nit: Please add <!doctype html> https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode27 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:27: ...
7 months ago (2017-05-17 10:17:58 UTC) #10
yosin_UTC9
- Summary and description are unclear. - Please find out the place we should check ...
7 months ago (2017-05-17 10:26:02 UTC) #11
Xiaocheng
https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode25 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:25: { name: "pointerDown", x: 20, y: 20, button:'left' }, ...
7 months ago (2017-05-17 19:29:25 UTC) #12
yoichio
Change implement all. PTAL. https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/20001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode1 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:1: <script src="../../../resources/testharness.js"></script> On 2017/05/17 10:17:58, ...
7 months ago (2017-05-18 09:31:49 UTC) #25
yosin_UTC9
https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode24 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:24: chrome.gpuBenchmarking.pointerActionSequence(pointerActions, resolve); I think |input.blur()| is enough. https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode26 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:26: ...
7 months ago (2017-05-18 10:00:14 UTC) #26
yoichio
https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode24 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:24: chrome.gpuBenchmarking.pointerActionSequence(pointerActions, resolve); On 2017/05/18 10:00:14, yosin_UTC9 wrote: > I ...
7 months ago (2017-05-19 01:51:23 UTC) #27
yosin_UTC9
https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode24 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:24: chrome.gpuBenchmarking.pointerActionSequence(pointerActions, resolve); On 2017/05/19 at 01:51:23, yoichio wrote: > ...
7 months ago (2017-05-19 02:06:40 UTC) #28
yoichio
https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html File third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html (right): https://codereview.chromium.org/2889763003/diff/80001/third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html#newcode24 third_party/WebKit/LayoutTests/editing/selection/mouse/click-user-select-none-loose-input-focus.html:24: chrome.gpuBenchmarking.pointerActionSequence(pointerActions, resolve); On 2017/05/19 02:06:40, yosin_UTC9 wrote: > On ...
7 months ago (2017-05-19 05:37:50 UTC) #30
yosin_UTC9
lgtm w/ nit https://codereview.chromium.org/2889763003/diff/120001/third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html File third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html (right): https://codereview.chromium.org/2889763003/diff/120001/third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html#newcode9 third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html:9: if (window.eventSender === undefined) nit: we ...
7 months ago (2017-05-19 05:50:34 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889763003/140001
7 months ago (2017-05-19 06:11:05 UTC) #36
yoichio
https://codereview.chromium.org/2889763003/diff/120001/third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html File third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html (right): https://codereview.chromium.org/2889763003/diff/120001/third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html#newcode9 third_party/WebKit/LayoutTests/editing/inserting/insert-on-unfocused-element.html:9: if (window.eventSender === undefined) On 2017/05/19 05:50:33, yosin_UTC9 wrote: ...
7 months ago (2017-05-19 08:00:33 UTC) #37
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/449653)
7 months ago (2017-05-19 10:17:15 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889763003/140001
7 months ago (2017-05-19 10:19:37 UTC) #41
commit-bot: I haz the power
7 months ago (2017-05-19 12:02:14 UTC) #44
Message was sent while issue was closed.
Committed patchset #5 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/8e46baf867a845e459199e2aefa3...

Powered by Google App Engine
This is Rietveld 0eb02b776